Ubuntu

kdetv lockup linux kernel, process unkillable and ubuntu unrebootable

Reported by u19809 on 2007-01-23
32
Affects Status Importance Assigned to Milestone
kdetv (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Ben Collins
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned

Bug Description

My PC has a bt878 based TV card. When I run KDETV mostly things are OK. I can switch channels and close the application at will.

However sometimes the application refuses to close or when it closes I still hear the TV audio playing. Generally this implies that the KDETV is not stopped properly. However when I do a ps -ax to find the KDETV application the command does not complete and hangs halfway through its output. The ps -ax does not respond to CTRL-C and the only thing you can do is close the konsole in which it was started.

This causes more problems later on when I want to shutdown the system as the shutdown procedure wants to kill running processes by issuing a ps to find them. As a consequence I generally need to hard-powerdown my PC.

This situation does also occur in the edgy version but I have the impression, less frequently.

Matthew Garrett (mjg59) wrote :

Please attach the output of the dmesg command when the system gets into this state

On Wednesday 24 January 2007 15:25, Matthew Garrett wrote:
> Please attach the output of the dmesg command when the system gets into
> this state

there is NO dmesg output related to the locking of ps.

I 'think' the ps is locking on getting info for the kdetv application that did
not terminate properly. I checked the last PID the ps prints and
checked /proc entered the NEXT pid folder and tried an ls. the ls also
hanged.

W

Generally, if ps is not working, it's because something has failed in the kernel. There's a good chance that there will be an indication of what happened in dmesg. Please attach a copy when the system is in this state.

On Wednesday 24 January 2007 18:05, Matthew Garrett wrote:
> Generally, if ps is not working, it's because something has failed in
> the kernel. There's a good chance that there will be an indication of
> what happened in dmesg. Please attach a copy when the system is in this
> state.

Well I attached the dmesg output but I checked. When ps -ax hung I ran a
dmesg while it was hanging and could not find any messages relating ... just
usb messages from my PDA or MP3 Player. I noticed though that after a while
there is a PLL message from bttv

Dmesg attached

Please attach using the web interface. Email attachments do not work.

Changed in linux-source-2.6.20:
assignee: nobody → ben-collins
importance: Undecided → Medium
status: Unconfirmed → Needs Info
u19809 (wim-delvaux) wrote :
  • Dmesg Edit (16.7 KiB, application/octet-stream)

dmesg output that got lost ...

Ben Collins (ben-collins) wrote :

Please attach /var/log/syslog after attaching this device.

Also, please do not compress the file, it makes it difficult to read from the web interface (have to download it, and view it in another terminal).

Thanks

On Sunday 18 March 2007 21:31:47 Ben Collins wrote:
> Please attach /var/log/syslog after attaching this device.
>
> Also, please do not compress the file, it makes it difficult to read
> from the web interface (have to download it, and view it in another
> terminal).

I will send you a syslog when the system hangs the next time.
(I use that system and am not particularly eager to make it hang ...)

W

>
> Thanks

it happened also to me both in Edgy and in Feisty.
Every time kdetv doesn't close well then audio still output from soundcard, process is still alive and is not killable, and process table get crazy, see attchments.
Reboot freeze and net a manual reset.

Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :

manually reset here
Apr 25 23:09:53 b-52 syslogd 1.4.1#20ubuntu4: restart.

because system hang-up, sorry no freeze, but wait forever, freeze means nothing at all, but here seems still trying to reboot without succesful

Marco Cimmino (cimmo) wrote :
Changed in linux-source-2.6.20:
status: Needs Info → Confirmed

Hi I am trying to use kdetv in gnome but it keeps crashing. I was going to file a bug but this looks like what I am experiencing. I use kdetv for a while then it crash and I have to do a hard reboot. Attaching readout from gnome terminal as thats where I started it. Will attach a snippit of kern.log as well.

Here is my kern.log snippet.

Maarten Lankhorst (mlankhorst) wrote :

It happens on my pinnacle card, and I also noticed it happened on my fathers hauppauge card, both using the bttv driver. ps indeed hangs, and starting kdetv after it fails. However there is no useful info in dmesg or syslog. Kernel is 2.6.20.16-generic on both. This bug is probably a kernel bugt though, as no programs should be able to make another program hang in the process table, no matter what happens.

fermo111 (fermo111) wrote :

Same problem here with a Pinnacle PCTV Pro

Luiso (luiso-perez) wrote :

Hello I had the same problem with the kernel: 2.6.20.16-generic
I tried the kernel 2.6.20-16-386 and with this one I don't have any problem.

It doesn't happen all the time, just in some cases. I've so far been
unable to determine the conditions that cause it to crash, it seems to
occur semi-randomly.

Thought I'd add my thruppenny bit to the comments above.

This is clearly not solely an Ubuntu problem.

I have experienced the same fault on openSuse 10.3 FINAL. Standard 32-bit installation plus NVidia graphics driver; KDE desktop; no additional packages running; no custom modifications to standard install (Beyond NVidia driver, of course).

Card is Hauppauge Win-TV PCI with Nicam Digital Stereo (BT878), Grphx card is XFX NVidia 6200 with 128MB RAM, Motherboard is AS Rock K7VT4A Pro R2 running an Athlon XP 2000+ with 512MB RAM. Installed drives are IBM Deskstar 120G (PATA) and Sony DRU-810A DVD-RW, NIC is O/B.

One piece of the jigsaw would probably be that NORMALLY my screensaver (Crackberg) would run after 4 mins or so but when KDE-TV is running the screensaver is suspended (by KDE-TV).

Symptoms I experienced were:
1) Shut down KDE-TV, Window closed but sound continued;
2) Opened KDE-TV again - got sound but V4L message problem - "Try changing the settings" - or something to that effect;
3) Closed KDE-TV - sound stopped;
4) Opened KDE-TV again - got sound but no video (Similar V4L message);
5) Closed KDE-TV - sound continued;
6) Went to close session - System shutdown, sound continued;
7) Black screen - sound continuing - no activity - sound continuing;
8) Reset.
9) On restart KDE-TV functional.

Interestingly - when I ran KDE-TV on openSuse 10.2 on this machine 5 days ago - no problem, KDE-TV worked. However, at that time the same screen-saver would pop-up despite the fact I had ticked the box saying suspend screensaver while running KDE ("Curiouser and Curiouser", said Alice).

So - what is the common factor between my openSuse 10.3 and your Ubuntu versions?

Apologies for kinda hijacking your forum but looks like we are all in the same boat on this one.

LleMikeByw

Marco Cimmino (cimmo) wrote :

Appened again now with Gutsy final :(

Changed in linux-source-2.6.22:
status: New → Confirmed
LleMikeByw (llemikebyw) wrote :

Since this is a collaborative open source web-site (Mr. S. called for something like this at the Googleplex earlier this summer) I thought I'd record what I have discovered since writing the bit above.

From my own investigation it seems to me that the problem relates to the start-up of the screensaver. I don't seem to experience the problem when screensaver does not start up (although I must admit my testing has no been extensive and thorough).

So one solution may be to disable the screen saver when you are about to start kdetv.

Briefly turning to possible solutions - I have searched and it appears that the designated maintainer of kdetv (Dirk Ziegelmeier) has not responded to bug reports for some time (since 2005). I am unaware of anybody else taking up the gauntlet. So I would venture to suggest that we won't be seeing any solution to this in the near future.

Personally I am planning my shift to LinuxTV which supports digital cards because in the UK the analogue signal will shortly disappear making kdetv redundant for me - perhaps Dirk realised that and decided there wasn't any more point working on kdetv if Mike wasn't going to be using it <g>.

Marco Cimmino (cimmo) wrote :

well I don't think it's only a kdetv issue, the fact that the process become unkillable let me think that can be a bttv module bug...

On Friday 02 November 2007 12:51:33 LleMikeByw wrote:
> Since this is a collaborative open source web-site (Mr. S. called for
> something like this at the Googleplex earlier this summer) I thought I'd
> record what I have discovered since writing the bit above.
>
> >From my own investigation it seems to me that the problem relates to the
>
> start-up of the screensaver. I don't seem to experience the problem when
> screensaver does not start up (although I must admit my testing has no
> been extensive and thorough).

I have no screensaver enabled and have the problem too ... sorry

>
> So one solution may be to disable the screen saver when you are about to
> start kdetv.
>
> Briefly turning to possible solutions - I have searched and it appears
> that the designated maintainer of kdetv (Dirk Ziegelmeier) has not
> responded to bug reports for some time (since 2005). I am unaware of
> anybody else taking up the gauntlet. So I would venture to suggest that
> we won't be seeing any solution to this in the near future.
>
> Personally I am planning my shift to LinuxTV which supports digital
> cards because in the UK the analogue signal will shortly disappear
> making kdetv redundant for me - perhaps Dirk realised that and decided
> there wasn't any more point working on kdetv if Mike wasn't going to be
> using it <g>.

As said since it locks the kernel it is also a kernel problem

Asraniel (asraniel) wrote :

same here, happend to me last night with a pinnacle pctv card. closed kdetv but sound was still, tried to shut down the computer, but even after 5 minutes the computer wasnt shut down

Johan Johari (johanbj) wrote :

I recently encountered this problem on Gutsy since I recently upgraded. There was no such problem on my previous system which was running on Feisty. I did some research on this and observed similar issues from http://people.debian.org/~terpstra/message/20071110.140702.65aa264f.en.html.

What I found even more unusual was the fact that the bttv module detected the card (type 34, Leadtek WinFast 2000/ WinFast 2000 XP) but the bt878 module failed to identify the card during probing.

The question was the purpose of the bt878 module.Some research revealed that the bt878 module was a fork from the bttv module. I am not sure the maintaner of this module but as a test, I blacklist the module in /etc/modprobe.d/blacklist.

After blacklisting, I was still able to use kdetv without the module. Furthermore, I no longer have the problem of kdetv refusing to close properly.

Marco Cimmino (cimmo) wrote :

well I will try thanx, but here doing a:
lsmod | grep bt878

returns nothing, so I'm not sure that will have some effects your workaround.

and this:
marco@b-52:~$ dmesg | grep bt
[ 17.172000] bttv: driver version 0.9.17 loaded
[ 17.172000] bttv: using 8 buffers with 2080k (520 pages) each for capture
[ 17.172000] bttv: Bt8xx card found (0).
[ 17.172000] bttv0: Bt848 (rev 18) at 0000:01:02.0, irq: 21, latency: 64, mmio: 0xbffff000
[ 17.172000] bttv0: using: *** UNKNOWN/GENERIC *** [card=0,autodetected]
[ 17.172000] bttv0: gpio: en=00000000, out=00000000 in=00fffffb [init]
[ 17.196000] bttv0: detected by eeprom: Hauppauge (bt848) [card=2]
[ 17.220000] bttv0: Hauppauge eeprom indicates model#60104
[ 17.220000] bttv0: using tuner=5
[ 17.220000] bttv0: i2c: checking for MSP34xx @ 0x80... found
[ 17.292000] msp3400 2-0040: MSP3400C-C6 found @ 0x80 (bt848 #0 [sw])
[ 17.316000] bttv0: i2c: checking for TDA9875 @ 0xb0... not found
[ 17.316000] bttv0: i2c: checking for TDA7432 @ 0x8a... not found
[ 17.348000] bttv0: i2c: checking for TDA9887 @ 0x86... not found
[ 17.368000] tuner 2-0061: chip found @ 0xc2 (bt848 #0 [sw])
[ 17.372000] bttv0: registered device video1
[ 17.372000] bttv0: registered device vbi0

Asraniel (asraniel) wrote :

perhaps this bug is somehow related?
http://bugzilla.kernel.org/show_bug.cgi?id=9357

LleMikeByw (llemikebyw) wrote :

Thought I'd return to give my observations since my last post - have been following via your e-mail alerts, chaps <g>.

I have continued to run openSUSE 10.3 regularly without starting up KDETV (don't have the aerial connected here - so no reason to run it).

The system has been relatively resilient during this time. I have not encountered any hangs requiring a reset nor have I found any unkillable processes (Firefox has been a little dicey - but nothing to worry too much about). In addition I have found that I can always shutdown the system without any hangs.

This focusses our attention directly on the module(s) supporting KDETV. I say that because I'm not convinced KDETV itself has been updated for more than 2 years - the Sourceforge page suggests the author isn't taking any interest in it any more - for whatever reason :-(

So the question for the Kernel chaps is "what changed?" between our working modules and now?

Has anybody posted to LKML.ORG on this? Does anybody dare? <g>

Perhaps post with all our names added and then when we get flamed at least we're all just singed rather than one of us scorched <g>.

Mike

LleMikeByw (llemikebyw) wrote :

In fact, on reflection - it ought to go in the Kernel bugs thingy as indicated by Asraniel.

The location being...

bugzilla.kernel.org

Posting to LKML.ORG is likely to be seen as an "Declaration of War"... <g>

Mike

Asraniel (asraniel) wrote :

Just wanted to add that my computer crashed again.
I was watching tv with kdetv in fullscreen for 1 hour, then the image froze, but the sound continued. The keyboard leds where blinking. Had to make a hard reboot.

Marco Cimmino (cimmo) wrote :

I can confirm my doubts:

blacklisting bt878 doesn't fix the issue, so it's a problem in bttv module and/or in the kernel.

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team

The 18 month support period for Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . As a result we are closing the linux-source-2.6.20 task.

Just curious if anyone has tested with the more recent Intrepid Ibex 8.10 release? For now I'll go ahead and open the "linux" kernel task but set it to Incomplete until we get feedback. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux:
status: New → Incomplete

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Brad Figg (brad-figg) wrote :

Unfortunately it seems this bug is still an issue. Can you confirm this issue exists with the most recent Jaunty Jackalope 9.04 release - http://www.ubuntu.com/news/ubuntu-9.04-desktop . Please let us know your results. Thanks.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-source-2.6.22 kernel task. It would be helpful if you could test the
new Jaunty Jackalope 9.04 release and confirm if this issue remains -
http://www.ubuntu.com/getubuntu/releasenotes/904overview. If the issue still exists with the Jaunty
release, please update this report by changing the Status of the "linux (Ubuntu)"
task from "Incomplete" to "New". Also please be sure to run the command below
which will automatically gather and attach updated debug information to this
report. Thanks in advance.

apport-collect -p linux-image-2.6.28-11-generic 81110

Changed in linux-source-2.6.22 (Ubuntu):
status: Confirmed → Won't Fix
Keng-Yu Lin (lexical) wrote :

This bug report was marked as Incomplete a while ago and has not had any feedback to provide the requested information. As a result this bug is being closed. Please reopen if this is still an issue in the latest Karmic 9.10 Alpha release http://cdimage.ubuntu.com/releases/karmic/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Changed in kdetv (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.